/*
 * kmtailview.cpp
 *
 * Copyright (C) 2008 %{AUTHOR} <%{EMAIL}>
 */
#include "kmtailview.h"

#include <klocale.h>
#include <QtGui/QLabel>

KmTailView::KmTailView(QWidget *)
{
  //setTabsClosable( true );
	//setAutomaticResizeTabs( true );
	setTabPosition( QTabWidget::South );
	setMovable( true );
	
  openTB = new QToolButton( this );	
  openTB->setFocusPolicy(Qt::NoFocus);
  openTB->setIcon(KIcon("tab-new"));
	openTB->setToolTip( i18n("Open new tab") );
	openTB->adjustSize();
  closeTB = new QToolButton( this );	
  closeTB->setFocusPolicy(Qt::NoFocus);
  closeTB->setIcon(KIcon("tab-close"));
	closeTB->setToolTip( i18n("Close current tab") );
	closeTB->adjustSize();
	
	setCornerWidget( openTB,  Qt::BottomLeftCorner );
	setCornerWidget( closeTB,  Qt::BottomRightCorner );
}

KmTailView::~KmTailView()
{
}

QTabBar* KmTailView::locTabBar() const
{
	return tabBar();
}


#include "kmtailview.moc"
